package com.qmth.distributed.print.aiDataStatistics.dto;

import com.qmth.boot.tools.excel.annotation.ExcelColumn;

public class AiDataDto {

    @ExcelColumn(name = "学号", index = 1)
    private String studentCode;
    @ExcelColumn(name = "姓名", index = 2)
    private String studentName;
    @ExcelColumn(name = "老师评分", index = 3, nullable = true)
    private Double personScore;
    @ExcelColumn(name = "第一次AI评分", index = 4, nullable = true)
    private Double aiFirstScore;
    @ExcelColumn(name = "第一次人机评差值", index = 5, nullable = true)
    private Double firstDiv;
    @ExcelColumn(name = "第二次AI评分", index = 6, nullable = true)
    private Double aiSecondScore;
    @ExcelColumn(name = "第二次人机评差值", index = 7, nullable = true)
    private Double secondDiv;
    @ExcelColumn(name = "第三次AI评分", index = 8, nullable = true)
    private Double aiThirdScore;
    @ExcelColumn(name = "第三次人机评差值", index = 9, nullable = true)
    private Double thirdDiv;
    @ExcelColumn(name = "OCR结果重复率", index = 10, nullable = true)
    private String repeatRate;
    @ExcelColumn(name = "百度OCR识别结果", index = 11, nullable = true)
    private String baiduOcrResult;

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public Double getPersonScore() {
        return personScore;
    }

    public void setPersonScore(Double personScore) {
        this.personScore = personScore;
    }

    public Double getAiFirstScore() {
        return aiFirstScore;
    }

    public void setAiFirstScore(Double aiFirstScore) {
        this.aiFirstScore = aiFirstScore;
    }

    public Double getFirstDiv() {
        return firstDiv;
    }

    public void setFirstDiv(Double firstDiv) {
        this.firstDiv = firstDiv;
    }

    public Double getAiSecondScore() {
        return aiSecondScore;
    }

    public void setAiSecondScore(Double aiSecondScore) {
        this.aiSecondScore = aiSecondScore;
    }

    public Double getSecondDiv() {
        return secondDiv;
    }

    public void setSecondDiv(Double secondDiv) {
        this.secondDiv = secondDiv;
    }

    public Double getAiThirdScore() {
        return aiThirdScore;
    }

    public void setAiThirdScore(Double aiThirdScore) {
        this.aiThirdScore = aiThirdScore;
    }

    public Double getThirdDiv() {
        return thirdDiv;
    }

    public void setThirdDiv(Double thirdDiv) {
        this.thirdDiv = thirdDiv;
    }

    public String getRepeatRate() {
        return repeatRate;
    }

    public void setRepeatRate(String repeatRate) {
        this.repeatRate = repeatRate;
    }

    public String getBaiduOcrResult() {
        return baiduOcrResult;
    }

    public void setBaiduOcrResult(String baiduOcrResult) {
        this.baiduOcrResult = baiduOcrResult;
    }
}
